## golang-uber-automaxprocs 1.5.3

=== Makefile ===
export GOBIN ?= $(shell pwd)/bin

GO_FILES := $(shell \
	find . '(' -path '*/.*' -o -path './vendor' ')' -prune \
	-o -name '*.go' -print | cut -b3-)

GOLINT = $(GOBIN)/golint
STATICCHECK = $(GOBIN)/staticcheck

.PHONY: build
build:
	go build ./...

.PHONY: install
install:
	go mod download

.PHONY: test
test:
	go test -race ./...

.PHONY: cover
cover:
	go test -coverprofile=cover.out -covermode=atomic -coverpkg=./... ./...
	go tool cover -html=cover.out -o cover.html

$(GOLINT): tools/go.mod
	cd tools && go install golang.org/x/lint/golint

$(STATICCHECK): tools/go.mod
	cd tools && go install honnef.co/go/tools/cmd/staticcheck@2023.1.2

.PHONY: lint
lint: $(GOLINT) $(STATICCHECK)
	@rm -rf lint.log
	@echo "Checking gofmt"
	@gofmt -d -s $(GO_FILES) 2>&1 | tee lint.log
	@echo "Checking go vet"
	@go vet ./... 2>&1 | tee -a lint.log
	@echo "Checking golint"
	@$(GOLINT) ./... | tee -a lint.log
	@echo "Checking staticcheck"
	@$(STATICCHECK) ./... 2>&1 |  tee -a lint.log
	@echo "Checking for license headers..."
	@./.build/check_license.sh | tee -a lint.log
	@[ ! -s lint.log ]

## golang-uber-automaxprocs 1.4.0

=== debian/changelog ===
golang-uber-automaxprocs (1.4.0-2) unstable; urgency=medium

  * upload source package

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 11 Apr 2021 10:14:05 +0000

golang-uber-automaxprocs (1.4.0-1) unstable; urgency=medium

  * Initial release

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 14 Mar 2021 10:10:57 +0000

=== debian/control ===
Source: golang-uber-automaxprocs
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               golang-any,
               golang-github-stretchr-testify-dev
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-uber-automaxprocs
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-uber-automaxprocs.git
Homepage: https://github.com/uber-go/automaxprocs
Rules-Requires-Root: no
XS-Go-Import-Path: go.uber.org/automaxprocs

Package: golang-uber-automaxprocs-dev
Architecture: all
Depends: golang-github-stretchr-testify-dev,
         ${misc:Depends}
Description: automatically set GOMAXPROCS to match Linux container CPU quota
 This package contains a library to automatically set GOMAXPROCS to match
 Linux container CPU quota.
 .
 All APIs are finalized, and no breaking changes will be made in the 1.x
 series of releases.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-uber-automaxprocs-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/" \
  https://github.com/uber-go/automaxprocs/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-uber-automaxprocs 1.5.2

=== debian/changelog ===
golang-uber-automaxprocs (1.5.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.5.2
  * Reorder fields in debian/control and debian/copyright
  * Change Section from devel to golang
  * Use dh-sequence-golang instead of dh-golang and --with=golang
  * Bump versioned dependencies as per go.mod
  * Bump Standards-Version to 4.6.2 (no change)
  * Vendor a local copy of github.com/prashantv/gostub v1.1.0
    because I am too lazy to create a new Debian package which is apparently
    used only in golang-uber-automaxprocs-dev

 -- Anthony Fok <foka@debian.org>  Thu, 29 Jun 2023 01:11:07 -0600

golang-uber-automaxprocs (1.4.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Apply multi-arch hints. + golang-uber-automaxprocs-dev: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 24 Nov 2022 14:41:55 +0000

=== debian/control ===
Source: golang-uber-automaxprocs
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any (>= 2:1.18~),
               golang-github-stretchr-testify-dev (>= 1.7.1)
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-uber-automaxprocs
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-uber-automaxprocs.git
Homepage: https://github.com/uber-go/automaxprocs
XS-Go-Import-Path: go.uber.org/automaxprocs

Package: golang-uber-automaxprocs-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-stretchr-testify-dev (>= 1.7.1),
         ${misc:Depends}
Description: automatically set GOMAXPROCS to match Linux container CPU quota
 This package contains a library to automatically set GOMAXPROCS to match
 Linux container CPU quota.
 .
 All APIs are finalized, and no breaking changes will be made in the 1.x
 series of releases.

## golang-uber-automaxprocs 1.5.3

=== debian/changelog ===
golang-uber-automaxprocs (1.5.3-1) unstable; urgency=medium

  * New upstream version 1.5.3
  * Add myself to the list of Uploaders

 -- Anthony Fok <foka@debian.org>  Mon, 09 Oct 2023 17:08:15 -0600

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: golang
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Thorsten Alteholz <debian@alteholz.de>
+Uploaders: Thorsten Alteholz <debian@alteholz.de>,
+           Anthony Fok <foka@debian.org>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=_build --buildsystem=golang

execute_after_dh_auto_configure:
	cp -av $(CURDIR)/debian/go/src _build/src/go.uber.org/automaxprocs/vendor
